Package org.apache.jasper.compiler

## Class JspUtil.ValidAttribute

- java.lang.Object
- - org.apache.jasper.compiler.JspUtil.ValidAttribute

- Enclosing class:
    JspUtil

      public static class JspUtil.ValidAttribute
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidAttribute​(java.lang.String name)` |
    `ValidAttribute​(java.lang.String name, boolean mandatory)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidAttribute

          public ValidAttribute​(java.lang.String name,
                                boolean mandatory)

    - #### ValidAttribute

          public ValidAttribute​(java.lang.String name)